cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement

## Class SLR_S28_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SLR_S28_Common

- Direct Known Subclasses:
    SLN_S34, SLN_S35, SLR_S28, SLR_S29, STI_S30

      public abstract class SLR_S28_Common
      extends Message

  SLT_S28 - Request New Sterilization Lot (Event S28). A placer application (Sterilizer) sends a transaction with this trigger event to a filler application (Instrument-tracking system) to request that a new sterilization lot be added.

  Represents a SLT_S28 message structure (see chapter 17.5.1). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: SLT (Sterilization Lot) MULTIPLE_COMPULSARY
  The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SLT_S28 objS28 = (SLT_S28)MessageFactory.createInstance().createSendSupportedMessage("SLT", "S28");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `void` | `addSterilizationLotSegment(SLT objSLT)` Adds Sterilization Lot(SLT) to this message.
    `void` | `addSterilizationLotSegments(ISingleCollection<SLT> objSLTSegmentCollection)` Adds collection of Sterilization Lot(SLT) to this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `ISingleCollection<SLT>` | `getSterilizationLotSegments()` Retrieves Collection of Sterilization Lot(SLT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getSterilizationLotSegments

          public ISingleCollection<SLT> getSterilizationLotSegments()

      Retrieves Collection of Sterilization Lot(SLT) present in this message.
      Returns:
        ISingleCollection - Collection of Sterilization Lot(SLT) present in this message.

    - #### addSterilizationLotSegment

          public void addSterilizationLotSegment(SLT objSLT)

      Adds Sterilization Lot(SLT) to this message.
      Parameters:
        `objSLT` - Specified Sterilization Lot(SLT) to be added in this message.

    - #### addSterilizationLotSegments

          public void addSterilizationLotSegments(ISingleCollection<SLT> objSLTSegmentCollection)

      Adds collection of Sterilization Lot(SLT) to this message.
      Parameters:
        `objSLTSegmentCollection` - Collection of Sterilization Lot(SLT) to add in this message